<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: lambda.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_adfbb0c9ab91f3f50a45bc9bbc7eb66d.html">createChemtable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">lambda.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a192c5d2618ed308a0d8e5c53fae46284"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lambda_8f90.html#a192c5d2618ed308a0d8e5c53fae46284">lambda_func</a></td></tr>
<tr class="separator:a192c5d2618ed308a0d8e5c53fae46284"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a192c5d2618ed308a0d8e5c53fae46284"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a192c5d2618ed308a0d8e5c53fae46284">&#9670;&nbsp;</a></span>lambda_func()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lambda_func </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelambda__table.html#aa882dc98aac2d915d0396ade69d384ca">lambda_table::files</a>, <a class="el" href="lambda__flamelet_8f90.html#acabb55d8bb3ad9b87f89c0030369d548">lambda_flamelet_cleanup()</a>, <a class="el" href="lambda__flamelet_8f90.html#aebdd6c8c63879d7a21a7b9f0e3cae7f5">lambda_flamelet_init()</a>, <a class="el" href="lambda__flamelet_8f90.html#ae11ed0b4e9944352a7f09da9c9d9d145">lambda_flamelet_readfile()</a>, <a class="el" href="lambda__table_8f90.html#abe874baf31d984bafe046955f1b32c7f">lambda_table_convert_names()</a>, <a class="el" href="lambda__table_8f90.html#ae5b4baad5fd00b6973a045e0f76de1ee">lambda_table_convolute()</a>, <a class="el" href="lambda__table_8f90.html#a1d8e69b46b7e4c7b01e526f8556c0857">lambda_table_ensight_output()</a>, <a class="el" href="lambda__table_8f90.html#a98b796b9582fdc6f24dd67c51f14a2d7">lambda_table_extent()</a>, <a class="el" href="lambda__table_8f90.html#a9e74fc9fea970e4338dc13f4c6cc37d8">lambda_table_init()</a>, <a class="el" href="lambda__table_8f90.html#a6a47216019d22dcdef704575229a311c">lambda_table_setup()</a>, <a class="el" href="lambda__table_8f90.html#a57cbad9c9308836a77843f4df0439ab9">lambda_table_stats()</a>, <a class="el" href="lambda__table_8f90.html#aa187fa331bf1e1614b06a7e346f6c537">lambda_table_write()</a>, <a class="el" href="namespacelambda__table.html#aa10c41af3f6b67eeaa00f610b30ea54e">lambda_table::nfiles</a>, <a class="el" href="namespaceparser.html#a21004603c8e1b12e6b2c11eb8a6505b3">parser::param_readchararray_alt()</a>, and <a class="el" href="namespaceparser.html#ab623470141bd5a2836b28f65aa9ef10f">parser::parser_getsize()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="lambda_8f90_a192c5d2618ed308a0d8e5c53fae46284_cgraph.png" border="0" usemap="#lambda_8f90_a192c5d2618ed308a0d8e5c53fae46284_cgraph" alt=""/></div>
<map name="lambda_8f90_a192c5d2618ed308a0d8e5c53fae46284_cgraph" id="lambda_8f90_a192c5d2618ed308a0d8e5c53fae46284_cgraph">
<area shape="rect" id="node2" href="lambda__flamelet_8f90.html#acabb55d8bb3ad9b87f89c0030369d548" title="lambda_flamelet_cleanup" alt="" coords="149,50,319,77"/>
<area shape="rect" id="node3" href="lambda__flamelet_8f90.html#aebdd6c8c63879d7a21a7b9f0e3cae7f5" title="lambda_flamelet_init" alt="" coords="163,575,305,602"/>
<area shape="rect" id="node4" href="namespaceparser.html#ab623470141bd5a2836b28f65aa9ef10f" title="parser::parser_getsize" alt="" coords="396,567,547,594"/>
<area shape="rect" id="node14" href="lambda__flamelet_8f90.html#ae11ed0b4e9944352a7f09da9c9d9d145" title="lambda_flamelet_readfile" alt="" coords="151,151,317,178"/>
<area shape="rect" id="node17" href="lambda__table_8f90.html#abe874baf31d984bafe046955f1b32c7f" title="lambda_table_convert\l_names" alt="" coords="159,459,309,500"/>
<area shape="rect" id="node18" href="lambda__table_8f90.html#ae5b4baad5fd00b6973a045e0f76de1ee" title="lambda_table_convolute" alt="" coords="153,101,315,127"/>
<area shape="rect" id="node21" href="lambda__table_8f90.html#a1d8e69b46b7e4c7b01e526f8556c0857" title="lambda_table_ensight\l_output" alt="" coords="160,232,308,273"/>
<area shape="rect" id="node24" href="lambda__table_8f90.html#a98b796b9582fdc6f24dd67c51f14a2d7" title="lambda_table_extent" alt="" coords="163,525,305,551"/>
<area shape="rect" id="node25" href="lambda__table_8f90.html#a9e74fc9fea970e4338dc13f4c6cc37d8" title="lambda_table_init" alt="" coords="173,357,295,383"/>
<area shape="rect" id="node28" href="lambda__table_8f90.html#a6a47216019d22dcdef704575229a311c" title="lambda_table_setup" alt="" coords="165,407,303,434"/>
<area shape="rect" id="node35" href="lambda__table_8f90.html#a57cbad9c9308836a77843f4df0439ab9" title="lambda_table_stats" alt="" coords="167,677,301,703"/>
<area shape="rect" id="node36" href="lambda__table_8f90.html#aa187fa331bf1e1614b06a7e346f6c537" title="lambda_table_write" alt="" coords="167,782,301,809"/>
<area shape="rect" id="node39" href="namespaceparser.html#a21004603c8e1b12e6b2c11eb8a6505b3" title="parser::param_readchararray_alt" alt="" coords="367,727,576,754"/>
<area shape="rect" id="node5" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="643,575,769,602"/>
<area shape="rect" id="node12" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="658,458,754,485"/>
<area shape="rect" id="node6" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="859,685,1003,711"/>
<area shape="rect" id="node7" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="853,735,1008,762"/>
<area shape="rect" id="node8" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="860,503,1001,544"/>
<area shape="rect" id="node9" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="848,568,1013,609"/>
<area shape="rect" id="node10" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="836,634,1025,661"/>
<area shape="rect" id="node11" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="849,451,1013,478"/>
<area shape="rect" id="node13" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="865,385,996,427"/>
<area shape="rect" id="node15" href="namespacefileio.html#ac1edfca0b5b011e66e8efbc2c441ca58" title="fileio::iopen" alt="" coords="427,71,515,98"/>
<area shape="rect" id="node16" href="namespacefileio.html#a1e9508f2783d9f86eb3314c6e55cfba4" title="fileio::iclose" alt="" coords="426,122,517,149"/>
<area shape="rect" id="node19" href="namespacelambda__table.html#aded3c3000a701963bde13c73d9c3ba2f" title="lambda_table::create\l_beta_pdf" alt="" coords="400,5,543,47"/>
<area shape="rect" id="node20" href="namespacemath.html#acf6e8367428fc1d28e2fc60d42982959" title="math::gammaln" alt="" coords="650,13,762,39"/>
<area shape="rect" id="node22" href="lambda__table_8f90.html#a7768072a6013fde93e39b201960b3a4c" title="dump_lambda_geometry\l_ensight" alt="" coords="389,173,553,215"/>
<area shape="rect" id="node23" href="lambda__table_8f90.html#a5434a85edadff570c68ad8cc6e27a72b" title="dump_lambda_table_scalar" alt="" coords="381,239,561,266"/>
<area shape="rect" id="node26" href="namespacelambda__table.html#a6a622dfabc60583cd372184e496c6e88" title="lambda_table::create\l_zmean" alt="" coords="400,291,543,332"/>
<area shape="rect" id="node27" href="namespacelambda__table.html#a7255e6e2805d09444d2ba7b062db85c2" title="lambda_table::create_zvar" alt="" coords="384,357,559,383"/>
<area shape="rect" id="node29" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="407,619,535,660"/>
<area shape="rect" id="node32" href="lambda__table_8f90.html#ab7492e211091de6cd84614aeb7aa486a" title="sort_flamelets" alt="" coords="654,407,758,434"/>
<area shape="rect" id="node33" href="lambda__table_8f90.html#a156afd3c5ea9b30200228994fcfc709a" title="select_flamelets" alt="" coords="413,407,530,434"/>
<area shape="rect" id="node34" href="lambda__table_8f90.html#aaa7082446fb04566344e5fa091c349f1" title="interp_tridiag" alt="" coords="423,509,519,535"/>
<area shape="rect" id="node30" href="namespaceparser.html#a3ca87e1ce9b98eccb21ed318dd61daac" title="parser::get_param_from\l_tag_list" alt="" coords="626,509,786,551"/>
<area shape="rect" id="node31" href="namespaceparser.html#a20cf12b9337602e6318ccd187ae7b74a" title="parser::combine_tag_list" alt="" coords="624,727,788,754"/>
<area shape="rect" id="node37" href="namespacenga__io.html#ae4d0ac26c199cd840350eed026707893" title="nga_io::write_preamble\l_nga_io_binary" alt="" coords="393,829,549,871"/>
<area shape="rect" id="node38" href="namespacenga__io.html#a80567cb65b887edb8bd7e3907cde6210" title="nga_io::init_nga_io\l_types" alt="" coords="641,880,771,921"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="lambda_8f90_a192c5d2618ed308a0d8e5c53fae46284_icgraph.png" border="0" usemap="#lambda_8f90_a192c5d2618ed308a0d8e5c53fae46284_icgraph" alt=""/></div>
<map name="lambda_8f90_a192c5d2618ed308a0d8e5c53fae46284_icgraph" id="lambda_8f90_a192c5d2618ed308a0d8e5c53fae46284_icgraph">
<area shape="rect" id="node2" href="createChemtable_8f90.html#a435211cdea045034b7403e1f0297aa95" title="createchemtable" alt="" coords="149,5,268,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
